/******************************************************************************
  AH_SMSSendRequestor C'tor

    Parameters:
        [in] source
        [in] version
        [in] os
        [in] onSuccess
        [in] onFailure

******************************************************************************/
function AH_SMSSendRequestor( source,
                              version,
                              os,
                              onSuccess,
                              onFailure )
{
    try
    {
        EXT_extend( this, new CH_AsyncRequestorBase( onSuccess, onFailure, MSG_SendSMSResponse ) );

        this.Start = function( accountNumber,
                               uString,
                               sendToPhoneNumber,
                               sendToCarrierID,
                               message )
        {
            try
            {

                var requestMessage = new MSG_SendSMSRequest( source,
                                                             version,
                                                             os,
                                                             accountNumber,
                                                             uString,
                                                             sendToPhoneNumber,
                                                             sendToCarrierID,
                                                             0, // sendFromPreference
                                                             message );

                this.m_asyncRequest.Start( VM_URL.WX1,
                                           VM_URL.WX2,
                                           requestMessage );
            }
            catch ( e )
            {
                EX_ASSERT_NO_EXCEPTIONS( e, 'AH_SMSSendRequestor::Start( )' );
            }
        };
    }
    catch ( e )
    {
        EX_ASSERT_NO_EXCEPTIONS( e, 'AH_SMSSendRequestor::AH_SMSSendRequestor( )' );
    }
}
